import React from 'react';
import Row from 'react-bootstrap/Row';
import Col from 'react-bootstrap/Col';
import SideFooter from './SideFooter.js';
import { C as ConferenceBanner } from './ConferenceBanner-9162d0ca.js';
import './defineProperty-8fa0bc8d.js';
import './_commonjsHelpers-0c4b6f40.js';
import './define-property-99e66838.js';
import './core.get-iterator-method-e903ff31.js';
import './react-social-icons-91f9716f.js';
import 'prop-types';
import './get-3c308da4.js';
import './isSymbol-a7e9aafe.js';
import './eq-bdcbf886.js';
import './Segment.js';
import './asyncToGenerator-b4dfe691.js';
import './web.dom.iterable-fdf034f5.js';
import './_library-528f1934.js';
import './_iter-detect-f089461c.js';

var Column2 = function Column2(props) {
  var rightItems = props.rightItems,
      title = props.title,
      website = props.website;


  return React.createElement(
    'section',
    null,
    React.createElement(
      Row,
      { className: 'justify-content-md-center' },
      React.createElement(
        Col,
        { md: true, className: 'middleCol', style: { marginTop: !title && '10px' } },
        title && React.createElement(
          'h1',
          null,
          title
        ),
        props.children
      ),
      React.createElement(
        Col,
        { xs: 12, className: 'rightCol' },
        website && website.conferenceBannerContent && React.createElement(ConferenceBanner, { website: website }),
        React.createElement(
          'div',
          { className: 'sticky-top', style: { top: '60px' } },
          rightItems && rightItems.map(function (row, index) {
            return React.createElement(
              'div',
              { key: index },
              row.component
            );
          }),
          website && website.sideFooterContent && website.sideFooterContent.length && !website.showFooterOnLeftSide && React.createElement(SideFooter, { website: website })
        )
      )
    )
  );
};

export default Column2;
export { Column2 };
